# Bone

Bone : `Attachment`

## Overview

A Bone is an instance that is not directly displayed on the screen but is used to create animations or control the movement of character models.

When the game runs, the bone structure can be observed in the lower hierarchy of the character model created in the Workspace, and it can also be viewed in the Animation Editor. The Animation Editor allows for easier creation of animation by manually controlling the character's bones

## Properties

### Transform

`CFrame`

This property represents the position and rotation changes applied by the current animation, relative to the Bone's CFrame.

#### Code Samples

```lua
local Bone = Character.Skeleton.Root.IKFootRoot.IKLeftFoot

print(Bone.Transform)
```

### TransformedCFrame

`CFrame`

It provides the final CFrame value that is the sum of the Bone's CFrame position and Transform (the offset from the current animation) in the local coordinate system.

#### Code Samples

```lua
local Bone = Character.Skeleton.Root.IKFootRoot.IKLeftFoot

print(Bone.TransformedCFrame)
```

### TransformedWorldCFrame

`CFrame`

It provides the final CFrame value that is the sum of the Bone's CFrame position and Transform (the offset from the current animation) in the world coordinate system.

#### Code Samples

```lua
local Bone = Character.Skeleton.Root.IKFootRoot.IKLeftFoot

print(Bone.TransformedWorldCFrame)
```

## Methods

## Events

## See also

{% content-ref url="/pages/P7aD7PEJUGDMei1NFhiN" %}
[Character](/manual/studio-manual/character.md)
{% endcontent-ref %}

{% content-ref url="/pages/5IpTGP7jviBTxMeIYiuo" %}
[Animation Editor](/manual/studio-manual/asset-and-resource-creation/animation-editor.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/bone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
